// composables/useI18nPages.ts
import { useI18n } from 'vue-i18n'
import { i18nPages } from '@/i18n/i18n-pages'

export function useI18nPages () {
  const { locale } = useI18n()

  const getRoute = (key: keyof typeof i18nPages) => {
    return i18nPages[key][locale.value]
  }

  return {
    getRoute
  }
}
